---------------------
PatchSet 5733 
Date: 2007/09/23 10:11:38
Author: serassio
Branch: squid3-ipv6
Tag: (none) 
Log:
Include TCP-IP definitions on Windows

Members: 
	include/IPAddress.h:1.1.2.37->1.1.2.38 
	include/getaddrinfo.h:1.1.2.1->1.1.2.2 

Index: squid3/include/IPAddress.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/include/Attic/IPAddress.h,v
retrieving revision 1.1.2.37
retrieving revision 1.1.2.38
diff -u -r1.1.2.37 -r1.1.2.38
--- squid3/include/IPAddress.h	12 Sep 2007 12:52:49 -0000	1.1.2.37
+++ squid3/include/IPAddress.h	23 Sep 2007 10:11:38 -0000	1.1.2.38
@@ -1,5 +1,5 @@
 /*
- * $Id: IPAddress.h,v 1.1.2.37 2007/09/12 12:52:49 amosjeffries Exp $
+ * $Id: IPAddress.h,v 1.1.2.38 2007/09/23 10:11:38 serassio Exp $
  *
  * DEBUG: section 14    IP Storage and Handling
  * AUTHOR: Amos Jeffries
@@ -45,6 +45,9 @@
 #if HAVE_NETINET_IN_H
 #include <netinet/in.h>
 #endif
+#ifdef _SQUID_MSWIN_
+#include <ws2tcpip.h>
+#endif
 #if HAVE_NETDB_H && !defined(_SQUID_NETDB_H_)   /* protect NEXTSTEP */
 #define _SQUID_NETDB_H_
 #ifdef _SQUID_NEXT_
@@ -53,6 +56,7 @@
 #include <netdb.h>
 #endif
 
+
 #include <iosfwd>
 
 #include "getaddrinfo.h"
Index: squid3/include/getaddrinfo.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/include/Attic/getaddrinfo.h,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid3/include/getaddrinfo.h	16 Aug 2007 11:35:06 -0000	1.1.2.1
+++ squid3/include/getaddrinfo.h	23 Sep 2007 10:13:56 -0000	1.1.2.2
@@ -13,7 +13,7 @@
  *    16-Aug-2007 : Altered configure checks
  *                  Un-hacked slightly to use system gethostbyname()
  *
- * Squid CVS $Id: getaddrinfo.h,v 1.1.2.1 2007/08/16 11:35:06 amosjeffries Exp $
+ * Squid CVS $Id: getaddrinfo.h,v 1.1.2.2 2007/09/23 10:13:56 serassio Exp $
  *
  *  Original License and code follows.
  */
@@ -53,6 +53,10 @@
 
 #else /* !HAVE_GETADDRINFO */
 
+/* SG 23/09/2007:
+   On Windows the following definitions are already available, may be that
+   this could be needed on some other platform */
+#if 0
 struct addrinfo
   {
     int ai_flags;  	  	/* AI_PASSIVE, AI_CANONNAME, AI_NUMERICHOST */
@@ -83,6 +87,7 @@
 #define EAI_SOCKTYPE   10  /* ai_socktype not supported */
 #define EAI_SYSTEM     11  /* system error returned in errno */
 #define EAI_OVERFLOW   12  /* argument buffer too small */
+#endif
 
 /* RFC 2553 / Posix resolver */
 int xgetaddrinfo (const char *nodename, const char *servname,
